### Method

# Gtk DropTarget get_gtypes

#### Declaration [src]

    const GType*
    gtk_drop_target_get_gtypes (
      GtkDropTarget* self,
      gsize* n_types
    )

#### Description [src]

Gets the list of supported `GType`s that can be dropped on the target.

If no types have been set, `NULL` will be returned.

#### Parameters

`n_types`

  Type: `gsize*`

  The number of `GType`s contained in the return value.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `GType`

the `G_TYPE_INVALID`-terminated array of types included in formats.

The length of the array is in the `n_types` argument.
The returned data is owned by the instance.
The return value can be `NULL`.